package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizLot;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.mapper.BizLotMapper;
import cn.ezhizao.project.business.service.IBizLotService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 生产计划明细Service业务层处理
 *
 * @author ruoyi
 * @date 2023-11-04
 */
@Service
public class BizLotServiceImpl extends ServiceImpl<BizLotMapper, BizLot> implements IBizLotService {
    @Resource
    private BizLotMapper bizLotMapper;

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizLot> getNotStartList(BizProductionPlanDetail data) {
        return bizLotMapper.getNotStartList(data);
    }
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizLot> getList(BizLot data) {
        return bizLotMapper.getList(data);
    }

    @Override
    public BizLot getLastLot(BizLot data) {
        return bizLotMapper.getLastLot(data);
    }

    @Override
    public List<BizLot> getLotList(BizLot data) {
        return bizLotMapper.getLotList(data);
    }

    @Override
    public List<BizLot> getLotInfo(BizProductionPlanDetail data) {
        return bizLotMapper.getLotInfo(data);
    }

    /**
     * 物理删除
     *
     * @param data
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizLot data) {
        return bizLotMapper.physicalDelete(data);
    }

    ;

}
